
Name:           retext
Version:        7.2.3
Release:        %mkrel 1
Summary:        Simple editor for Markdown and reStructuredText
License:        GPL-3.0-or-later
Group:          Editors
Url:            https://github.com/retext-project/retext
Source:         https://github.com/retext-project/retext/archive/%{version}.tar.gz#/%{name}-%{version}.tar.xz
BuildRequires:  dos2unix
BuildRequires:  hicolor-icon-theme
BuildRequires:  python3
BuildRequires:  python3-markdown
BuildRequires:  python3-markups
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-qt5-devel
Requires:      python3
Requires:      python3-cairo
Requires:      python3-chardet
Requires:      python3-dbus
Requires:      python3-docutils
Requires:      python3-enchant
Requires:      python3-gobject3
Requires:      python3-markdown
Requires:      python3-markdown-math
Requires:      python3-markups
Requires:      python3-pygments
Requires:      python3-qt5
Provides:       ReText = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
ReText is simple text editor that supports Markdown and reStructuredText
markup languages. It is written in Python using PyQt libraries.

%prep
%setup -q
dos2unix LICENSE_GPL

%build
python3 setup.py build

%install
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix}

mkdir -pv %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
mkdir -pv %{buildroot}%{_datadir}/%{name}/
mkdir -pv %{buildroot}%{_datadir}/applications/

cp -r icons/*.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
ICONSIZE="16 22 32 48 64 128 256"
pushd %{buildroot}%{_datadir}/icons/hicolor/
for i in $ICONSIZE; do
  mkdir -pv ${i}x${i}/apps/
  rsvg-convert -h $i -w $i scalable/apps/%{name}.svg -o ${i}x${i}/apps/%{name}.png
done
popd

sd "Office;WordProcessor;" "X-MandrivaLinux-MoreApplications-Editors;" %{buildroot}/%{_datadir}/applications/me.mitya57.ReText.desktop


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{python3_sitelib}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/*appdata.xml

%changelog
* Thu Aug 25 2022 TerryN <terryn94 at gmail.com>  7.2.3-1pclos2022
- update and rebuild for python 3.10

* Sat Nov 30 2019 7.0.4-1pclos2019
- create stupid package
